# QUESTIONS_REQUIRE_RESPONSE

Solaris has created a set of follow-up questions for one of your customers. The payload will contain information about the question set itself and a list of all the questions in the set.
For more information, see the Questions and Answers guide.

Endpoint: POST questions_require_response
Version: 1.0

## Request fields (application/json):

  - `question_set_id` (string)
    ID of the question set created by Solaris.
    Example: "cf860f53574c1ca743232feaf1c81e71cqst"

  - `entity_id` (string)
    ID of the entity (person or business) to whom the question set is assigned.
    Example: "fd950f53574c1ca743232feaf1c81e71cper"

  - `context_id` (string)
    The ID of an additional Solaris resource related to the question set (e.g., an identification).
    Example: "fd950f53574c1ca743232feaf1c81e71cedd"

  - `deadline` (string)
    The deadline for answering all questions in the set.
    Example: "2022-09-15T11:20:16.840208Z"

  - `recipient` (object)
    Object containing information about the question set recipient.
    Example: {"recipient_id":"ea950f53574c1ca743232feeaf1c81e71cper","recipient_type":"CUSTOMER"}

  - `recipient.recipient_id` (string)
    ID of the question set recipient. If the entity_id corresponds with a business, then the recipient_id will correspond with a person associated with the business.
    Example: "ea950f53574c1ca743232feeaf1c81e71cper"

  - `recipient.recipient_type` (any)
    Indicates who should answer the questions (either you or the customer).
    Enum: "CUSTOMER", "PARTNER"

  - `questions` (array)
    Array containing all the questions in the question set.
    Example: [{"id":"1f0130f81d84ed3c75b32c428d5d7d93cqst","question":"Provide your current address.","answer_type":"TEXT_AND_FILES","deadline":"2022-09-15T11:20:16.840208Z"}]

  - `questions.id` (string)
    ID of the question.
    Example: "1f0130f81d84ed3c75b32c428d5d7d93cqst"

  - `questions.deadline` (string)
    UTC timestamp indicating the deadline for answering the question.
    Example: "2022-09-15T11:20:16.840208Z"

  - `questions.question` (string)
    The question.
    Example: "Provide your current address."

  - `questions.answer_type` (string)
    The type of answer required from the recipient.
    Enum: "TEXT_ONLY", "TEXT_AND_FILES"

  - `questions.allowed_document_types` (array)
    Indicates array of allowed_document_types.
    Enum: "ACCOUNT_SNAPSHOT.FINTECSYSTEMS", "ACCOUNT_STATEMENT", "AML_POLICY", "ANNUAL_FINANCIAL_STATEMENT", "B2B_MANDATE", "BALANCE_REPORT", "BANK_REFERENCE", "BUSINESS_ASSESSMENT", "BUSINESS_FINANCIALS_XBRL", "CREDIT_AGENCY_REPORT", "CREDIT_RECORD.SCHUFA", "CUSTOMER_COMMUNICATION", "FATCA_SELF_DECLARATION", "FOUNDATION_DOCUMENT", "ID_DOCUMENT", "INVOICE", "KYC_BENEFICIAL_OWNER", "KYC_CORPORATE_DOCUMENT", "KYC_FORM", "KYC_LEGAL_REPRESENTATIVE", "KYC_RELIABILITY_CHECK", "KYC_REPORT", "LOAN_MANDATE_CONTRACT", "OTHER", "PAYMENT_CONFIRMATION", "PICTURE", "POWER_OF_ATTORNEY", "PROOF_OF_ADDRESS", "PROOF_OF_PHONE_CHANGE", "PROOF_OF_PROFESSION", "PROOF_OF_SALARY", "PROOF_OF_TAX_ID", "REFERENCE_LETTER", "REGISTER_APPLICATION", "REGISTER_EXTRACT", "SALARY_INFORMATION", "SCHUFA_COMPACT_REPORT", "SCHUFA_FULL_REPORT", "SCHUFA_GWG_REPORT", "SCHUFA_SHORT_REPORT", "SCORE_CARD.SOLARIS", "SCREENING_REPORT", "SHAREHOLDERS_LIST", "SHARE_HOLDERS_AGREEMENT", "SIGNATURE", "SIGNED_CONTRACT", "SIGNED_LOAN_MANDATE_CONTRACT", "TRADING_LICENSE", "TRANSACTIONAL_DOCUMENT", "TRANSFER_CANCELLATION", "VAT_CERTIFICATE", "VIDEO"


## Response 200 fields
